Welcome To Our Shell

Mister Spy & Souheyl Bypass Shell

Current Path : /bin/X11/

Linux ift1.ift-informatik.de 5.4.0-216-generic #236-Ubuntu SMP Fri Apr 11 19:53:21 UTC 2025 x86_64
Upload File :
Current File : //bin/X11/git-feature

#!/usr/bin/env bash
# reset environment variables that could interfere with normal usage
unset GREP_OPTIONS
# put all utility functions here

# make a temporary file
git_extra_mktemp() {
    mktemp -t "$(basename "$0")".XXXXXXX
}

#
# check whether current directory is inside a git repository
#

is_git_repo() {
  git rev-parse --show-toplevel > /dev/null 2>&1
  result=$?
  if test $result != 0; then
    >&2 echo 'Not a git repo!'
    exit $result
  fi
}

is_git_repo

branch_prefix=feature
declare -a argv
while test $# != 0
do
    case $1 in
    -a|--alias )
        if [[ -n $2 ]]
        then
            shift # shift -a|-alias
            branch_prefix=$1
        else
            argv+=($1) # treat tail '-a' as <name>
        fi
        ;;
	-r|--remote )
		if [[ -n $2 ]]
		then
			remote=$2
			shift
		else
			remote="origin"
		fi
		;;
    * )
        argv+=($1)
        ;;
    esac
    shift
done

concatargs(){
    str=$(IFS='-'; echo "$*")
    branch="$branch_prefix"/$str
}

if test "${argv[0]}" = "finish"; then
	test -z "${argv[1]}" && echo "$branch_prefix" "<name> required." 1>&2 && exit 1
	branch="$branch_prefix"/"${argv[1]}"
	git merge --no-ff "$branch" && git delete-branch "$branch"
else
	test -z "${argv[0]}" && echo "$branch_prefix" "<name> required." 1>&2 && exit 1
	if test -n "${argv[1]}"; then
		concatargs "${argv[@]}"
	else 
		branch="$branch_prefix"/"${argv[0]}"
	fi
	if [[ -n $remote ]]
	then
		git create-branch -r $remote $branch
	else
		git create-branch $branch
	fi
fi

bypass 1.0, Devloped By El Moujahidin (the source has been moved and devloped)
Email: contact@elmoujehidin.net bypass 1.0, Devloped By El Moujahidin (the source has been moved and devloped) Email: contact@elmoujehidin.net